Bug 840178 - system-config-firewall authenticates to wrong user and then eats all CPU talking to X
system-config-firewall authenticates to wrong user and then eats all CPU talk...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 01:40 EDT by D. Hugh Redelmeier
Modified: 2013-02-13 18:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:59:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of s-c-f misbehaving (760.21 KB, application/octet-stream)
2012-07-14 01:40 EDT, D. Hugh Redelmeier
no flags Details

  None (edit)
Description D. Hugh Redelmeier 2012-07-14 01:40:21 EDT
Created attachment 598214 [details]
strace of s-c-f misbehaving

Description of problem:
When system-config-firewall authenticates to a user that isn't the current one (see https://bugzilla.redhat.com/show_bug.cgi?id=840173), it can get into a state where it and X can each use a complete CPU core.


Version-Release number of selected component (if applicable):
system-config-firewall-1.2.29-4.fc16.noarch
system-config-firewall-tui-1.2.29-4.fc16.noarch
system-config-firewall-base-1.2.29-4.fc16.noarch


How reproducible:
With a policykit bug (https://bugzilla.redhat.com/show_bug.cgi?id=840173), I could reproduce it any time.  I've now deleted the dummy user and cannot reproduce it.

I suspect that you could duplicate it with an apporpriate "su - user" command. 


Steps to Reproduce:
1.run system-config-firewall
2.authenticate (as asked) for a different user
3.try to apply a change
  
Actual results:

X server and system-config-firewall eat the processor.
quit command won't work.

Expected results:

more graceful error handling


Additional info:
See attached strace log.  This strace was started while system-config-firewall was misbehaving so it does not catch the start.

Clearly the code is doing poll(2) syscalls and not paying attention to the result.

For example, the first poll call says it ended due to timeout and that fd 4 is not ready for reading.  So what is the next thing that s-c-f tries to do?  Read from fd 4!  This pattern is repeated a lot.

All poll calls seem to specify a timeout of 0, a recipe for eating CPU.

My guess: this is all X calls.  X doesn't think that the dummy user ought to be able to write to the display (it isn't his display).  So all X calls fail.
Comment 1 Fedora End Of Life 2013-01-16 15:34:35 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 18:59:32 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.